Subject: bug#2168 closed by Jason Rumney <[email-masked]> (Re: bug#2168: MSVC 2003 Resource Compiler Error)

From: [email-masked] (Emacs bug Tracking System)
Date: Wed, 04 Feb 2009 09:35:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,w32 package:

#2168: MSVC 2003 Resource Compiler Error

It has been closed by Jason Rumney <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jason Rumney <[email-masked]> by
replying to this email.

-- 
2168: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2168
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2168: MSVC 2003 Resource Compiler Error
From: Jason Rumney <[email-masked]>
To: David Robinow <[email-masked]>, [email-masked]
Date: Wed, 04 Feb 2009 18:28:16 +0900

David Robinow wrote:
> I don't know a good fix.

There was a thread about this last May. I've added an entry to 
etc/PROBLEMS describing some workarounds.

Subject: MSVC 2003 Resource Compiler Error
From: David Robinow <[email-masked]>
To: [email-masked]
Date: Mon, 2 Feb 2009 15:16:45 -0500

rc -i../nt -Foobj-spd/i386/emacs.res ../nt/emacs.rc
../nt/emacs.rc(1) : error RC2176 : old DIB in icons\emacs.ico; pass it
through SDKPAINT

This error has been present ever since the new icon was added.
I'd forgotten about it since I reverted to the Emacs 22 icon for my
daily builds.
I don't know a good fix.